<?php
/**
 * ErpApiTest
 * PHP version 7.3
 *
 * @category Class
 * @package  SLIS\Adapter\Tanss
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * TANSS API
 *
 * ## Documentation of the TANSS API. Version: 5.8.22.1  ### older versions Older versions of the API documentation can be found here: * [Docs for 5.8.21.6](https://api-doc.tanss.de/5.8.21.6/) * [Docs for 5.8.21.3](https://api-doc.tanss.de/5.8.21.3/) * [Docs for 5.8.21.1](https://api-doc.tanss.de/5.8.21.1/) * [Docs for 5.8.20.5](https://api-doc.tanss.de/5.8.20.5/) * [Docs for 5.8.20.4](https://api-doc.tanss.de/5.8.20.4/) * [Docs for 5.8.20.2](https://api-doc.tanss.de/5.8.20.2/) * [Docs for 5.8.19.3](https://api-doc.tanss.de/5.8.19.3/)
 *
 * The version of the OpenAPI document: 5.8.22.1
 * Contact: support@tanss.de
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 6.0.0-SNAPSHOT
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace SLIS\Adapter\Tanss\Test\Api;

use \SLIS\Adapter\Tanss\Configuration;
use \SLIS\Adapter\Tanss\ApiException;
use \SLIS\Adapter\Tanss\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * ErpApiTest Class Doc Comment
 *
 * @category Class
 * @package  SLIS\Adapter\Tanss
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class ErpApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass(): void
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp(): void
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown(): void
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass(): void
    {
    }

    /**
     * Test case for apiErpV1CompaniesDepartmentsGet
     *
     * gets all departments.
     *
     */
    public function testApiErpV1CompaniesDepartmentsGet()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiErpV1CompaniesEmployeesDepartmentsGet
     *
     * gets all users with the associated departments.
     *
     */
    public function testApiErpV1CompaniesEmployeesDepartmentsGet()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiErpV1CompaniesEmployeesGet
     *
     * get all employees from the own company.
     *
     */
    public function testApiErpV1CompaniesEmployeesGet()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiErpV1CompaniesSearchIdDisplayIdGet
     *
     * search for a company.
     *
     */
    public function testApiErpV1CompaniesSearchIdDisplayIdGet()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiErpV1CompanyCategoriesGet
     *
     * list of company categories.
     *
     */
    public function testApiErpV1CompanyCategoriesGet()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiErpV1CustomersGet
     *
     * Get a list of customers and employees.
     *
     */
    public function testApiErpV1CustomersGet()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiErpV1CustomersPost
     *
     * Insert new customers.
     *
     */
    public function testApiErpV1CustomersPost()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiErpV1DepartmentsDepartmentIdEmployeesGet
     *
     * gets all employees of a department.
     *
     */
    public function testApiErpV1DepartmentsDepartmentIdEmployeesGet()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiErpV1EmployeesEmployeeIdDepartmentsGet
     *
     * gets all departments of a employee.
     *
     */
    public function testApiErpV1EmployeesEmployeeIdDepartmentsGet()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiErpV1InvoicesGet
     *
     * Gets a list of billable supports.
     *
     */
    public function testApiErpV1InvoicesGet()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiErpV1InvoicesPost
     *
     * Insert new invoices.
     *
     */
    public function testApiErpV1InvoicesPost()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiErpV1TicketsPost
     *
     * create a new ticket.
     *
     */
    public function testApiErpV1TicketsPost()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiErpV1TicketsStatusGet
     *
     * gets a list of tickets states.
     *
     */
    public function testApiErpV1TicketsStatusGet()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiErpV1TicketsTypesGet
     *
     * gets a list of tickets types.
     *
     */
    public function testApiErpV1TicketsTypesGet()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }
}
